| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | List of all members
IG.Num.StructuredMesh3d Class Reference

Structured mesh in 3D. More...

## Public Member Functions
| StructuredMesh3d ()
| Constructs a new empty 3D (unconnected) unstructured grid (no elements contained) with no name and no description. More...
| StructuredMesh3d (int dim1, int dim2, int dim3)
| Constructs a new 3D (unconnected) unstructured grid with the specified dimensions, name and description. Array of elements is allocated. More...
| StructuredMesh3d (int dim1, int dim2, int dim3, string fieldName)
| Constructs a new 3D (unconnected) unstructured grid with the specified dimensions, name and description. Array of elements is allocated. More...
| StructuredMesh3d (int dim1, int dim2, int dim3, string fieldName, string fieldDescription)
| Constructs a new 3D (unconnected) unstructured grid with the specified dimensions, name and description. Array of elements is allocated. More...
| StructuredMesh3d (int dimx, int dimy, int dimz, string fieldName, string fieldDescription, double minx, double maxx, double miny, double maxy, double minz, double maxz)
| Constructs a 3D (unconnected) unstructured grid based on regular grid with grid direction parallel to coordinate axes, with specified name and description. Array of elements is allocated. More...
| StructuredMesh3d (int dimx, int dimy, int dimz, string fieldName, string fieldDescription, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Constructs a 3D (unconnected) unstructured grid based on structured grid by transformation of co-ordinates of a regular equidistant grid. Array of elements is allocated. More...
void | GenerateCoordinates (double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef)
| Generates coordinates of a 3D regular grid with grid directions parallel to coordinate axes and equidistant nodes in all directions. More...
void | GenerateCoordinates (double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of the structured mesh for a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...

## Detailed Description

Structured mesh in 3D.

Type used for co-ordinates is vec3.

$A Igor Jan08 Mar09 Oct11;

## Constructor & Destructor Documentation

IG.Num.StructuredMesh3d.StructuredMesh3d | ( |  | ) |
| inline

Constructs a new empty 3D (unconnected) unstructured grid (no elements contained) with no name and no description.

IG.Num.StructuredMesh3d.StructuredMesh3d | ( | int | dim1,
|  | int | dim2,
|  | int | dim3
| ) |  |
| inline

Constructs a new 3D (unconnected) unstructured grid with the specified dimensions, name and description. Array of elements is allocated.

Elements of the field are arranged in a 3D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field.
  dim3 | Third dimension of the field.

IG.Num.StructuredMesh3d.StructuredMesh3d | ( | int | dim1,
|  | int | dim2,
|  | int | dim3,
|  | string | fieldName
| ) |  |
| inline

Constructs a new 3D (unconnected) unstructured grid with the specified dimensions, name and description. Array of elements is allocated.

Elements of the field are arranged in a 3D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field.
  dim3 | Third dimension of the field.
  fieldName | Name of the field.

IG.Num.StructuredMesh3d.StructuredMesh3d | ( | int | dim1,
|  | int | dim2,
|  | int | dim3,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  |
| inline

Constructs a new 3D (unconnected) unstructured grid with the specified dimensions, name and description. Array of elements is allocated.

Elements of the field are arranged in a 3D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field.
  dim3 | Third dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.

IG.Num.StructuredMesh3d.StructuredMesh3d | ( | int | dimx,
|  | int | dimy,
|  | int | dimz,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minx,
|  | double | maxx,
|  | double | miny,
|  | double | maxy,
|  | double | minz,
|  | double | maxz
| ) |  |
| inline

Constructs a 3D (unconnected) unstructured grid based on regular grid with grid direction parallel to coordinate axes, with specified name and description. Array of elements is allocated.

Parameters

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  dimz | Third dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minx | Minimal value of x coordinate of the generated grid.
  maxx | Maximal value of x coordinate of the generated grid.
  miny | Minimal value of y coordinate of the generated grid.
  maxy | Maximal value of y coordinate of the generated grid.
  minz | Minimal value of z coordinate of the generated grid.
  maxz | Maximal value of z coordinate of the generated grid.

IG.Num.StructuredMesh3d.StructuredMesh3d | ( | int | dimx,
|  | int | dimy,
|  | int | dimz,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | double | minzRef,
|  | double | maxzRef,
|  | IFunc3d | fx,
|  | IFunc3d | fy,
|  | IFunc3d | fz
| ) |  |
| inline

Constructs a 3D (unconnected) unstructured grid based on structured grid by transformation of co-ordinates of a regular equidistant grid. Array of elements is allocated.

Parameters

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  dimz | Third dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.
  minzRef | Minimal value of z coordinate of the generated grid.
  maxzRef | Maximal value of z coordinate of the generated grid.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates of the actual grid.

## Member Function Documentation

void IG.Num.StructuredMesh3d.GenerateCoordinates | ( | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | double | minzRef,
|  | double | maxzRef
| ) |  |
| inline

Generates coordinates of a 3D regular grid with grid directions parallel to coordinate axes and equidistant nodes in all directions.

Parameters

  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.
  minzRef | Minimal value of z coordinate of the generated grid.
  maxzRef | Maximal value of z coordinate of the generated grid.

void IG.Num.StructuredMesh3d.GenerateCoordinates | ( | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | double | minzRef,
|  | double | maxzRef,
|  | IFunc3d | fx,
|  | IFunc3d | fy,
|  | IFunc3d | fz
| ) |  |
| inline

Generates coordinates of the structured mesh for a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables.

Coordinates are obtained by transforming individual coordinates of a regular equidistant grid from the reference system.

Parameters

  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  minzRef | Lower bound for the third parameter in the reference coordinate system.
  maxzRef | Upper bound for the third parameter in the reference coordinate system.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates of the actual grid.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/meshing/StructuredMesh3d.cs